Rasa X installation error on Google Cloud Platform

sudo python3 rasa_x_commands.py create --update admin system_user rasa123
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/base.py", line 1799, in _execute_context
    self.dialect.do_execute(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/default.py", line 717, in do_execute
    cursor.execute(statement, parameters)
psycopg2.errors.UndefinedColumn: column rasa_x_user.default_workspace_id does not exist
LINE 1: ..._is_assigned AS rasa_x_user_username_is_assigned, rasa_x_use...
                                                             ^


The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/app/scripts/manage_users.py", line 195, in <module>
    change_password(_user_service, args.username, args.password)
  File "/app/scripts/manage_users.py", line 81, in change_password
    userservice.admin_change_password(username, password)
  File "/usr/local/lib/python3.8/dist-packages/rasax/community/services/user_service.py", line 590, in admin_change_password
    existing_user = self._fetch_user(username)
  File "/usr/local/lib/python3.8/dist-packages/rasax/community/services/user_service.py", line 76, in _fetch_user
    return self.query(User).filter(User.username == username).first()
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/orm/query.py", line 2762, in first
    return self.limit(1)._iter().first()
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/orm/query.py", line 2846, in _iter
    result = self.session.execute(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/orm/session.py", line 1689, in execute
    result = conn._execute_20(statement, params or {}, execution_options)
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/base.py", line 1611, in _execute_20
    return meth(self, args_10style, kwargs_10style, execution_options)
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/sql/elements.py", line 323, in _execute_on_connection
    return connection._execute_clauseelement(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/base.py", line 1478, in _execute_clauseelement
    ret = self._execute_context(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/base.py", line 1842, in _execute_context
    self._handle_dbapi_exception(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/base.py", line 2023, in _handle_dbapi_exception
    util.raise_(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/util/compat.py", line 207, in raise_
    raise exception
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/base.py", line 1799, in _execute_context
    self.dialect.do_execute(
  File "/usr/local/lib/python3.8/dist-packages/sqlalchemy/engine/default.py", line 717, in do_execute
    cursor.execute(statement, parameters)
sqlalchemy.exc.ProgrammingError: (psycopg2.errors.UndefinedColumn) column rasa_x_user.default_workspace_id does not exist
LINE 1: ..._is_assigned AS rasa_x_user_username_is_assigned, rasa_x_use...
                                                             ^

[SQL: SELECT rasa_x_user.username AS rasa_x_user_username, rasa_x_user.name_id AS rasa_x_user_name_id, rasa_x_user.password_hash AS rasa_x_user_password_hash, rasa_x_user.team AS rasa_x_user_team, rasa_x_user.api_token AS rasa_x_user_api_token, rasa_x_user.project AS rasa_x_user_project, rasa_x_user.data AS rasa_x_user_data, rasa_x_user.username_is_assigned AS rasa_x_user_username_is_assigned, rasa_x_user.default_workspace_id AS rasa_x_user_default_workspace_id, rasa_x_user.authentication_mechanism AS rasa_x_user_authentication_mechanism 
FROM rasa_x_user 
WHERE rasa_x_user.username = %(username_1)s 
 LIMIT %(param_1)s]
[parameters: {'username_1': 'system_user', 'param_1': 1}]
(Background on this error at: https://sqlalche.me/e/14/f405)
ERROR:__main__:Failed to create user.

@mridullpandey If Iā€™m correct you trying to install rasa x one GCP using docker installation for 0.42.x?

@mridullpandey please used this command and you need to in root folder.

cd /etc/rasa  (whatever is your path)
sudo python3 rasa_x_commands.py create --update admin me <PASSWORD>

Please not running the above command, the docker need to be running using the below mentioned command:

sudo docker-compose up -d

I hope this will help you.

thanks for the reply can i get public url of media uploaded to whatsapp through bot for example i uploaded a pdf through bot on whatsapp now that pdf will be saved somewhere on whatsapp cloud can i get the public url of the media.

@mridullpandey can you please confirm that the main topic issue is solved by my above suggestion/solution ? If yes please close this thread.